Page MenuHomeFreeBSD

Patch mail/p5-Email-Sender to use https://github.com/dlangille/Email-Sender The original code at https://github.com/rjbs/Email-Sender seems to be abandoned. The fork replaces deprecated dependency p5-Email-Address with p5-Email-Address-XS Tested...
AbandonedPublic

Authored by dvl on Nov 20 2018, 2:40 AM.

Details

Reviewers
None
Summary

...on my dev instance of FreshPorts. More testing needed please.

See also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228327

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 21158
Build 20515: arc lint + arc unit

Event Timeline

dvl created this revision.Nov 20 2018, 2:40 AM
ndowens_yahoo.com added inline comments.
mail/p5-Email-Sender/Makefile
29

Should be above USE_GITHUB

30

Also put under USES after move

dvl marked 3 inline comments as done.Nov 22 2018, 12:24 PM
dvl added inline comments.
mail/p5-Email-Sender/Makefile
6–7

Delete this line because PKGNAMEPREFIX should be in the above section.

dvl updated this revision to Diff 50911.Nov 22 2018, 12:24 PM

Updating D18053: Patch mail/p5-Email-Sender to use https://github.com/dlangille/Email-Sender

The original code at https://github.com/rjbs/Email-Sender seems to be
abandoned. The fork replaces deprecated dependency p5-Email-Address with
p5-Email-Address-XS

Tested...

dvl abandoned this revision.Dec 7 2018, 7:43 PM

There is upstream history and issues. I am abandoning this.